## dav-text 0.8.5

=== Makefile ===
CC=gcc
OBJECTS=main.o \
        buffers.o \
        fileIO.o \
        screenIO.o \
        keyboard.o \
        features.o \
        undo.o \
        move.o
        
CFLAGS=-O3 -Wall
LDFLAGS=-lncurses -O3 -Wall

dav: $(OBJECTS) 
	$(CC) $(LDFLAGS) $(OBJECTS) -o dav

install:
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	cp dav $(DESTDIR)/usr/bin/dav
	cp dav.1.gz $(DESTDIR)/usr/share/man/man1/

uninstall:
	rm $(DESTDIR)/usr/bin/dav

clean:
	-rm -rf dav core *.o tags

=== debian/changelog ===
dav-text (0.8.5-6ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Makefile: Use $LDADD, not $LDFLAGS. Fixes FTBFS.
  * Convert above to quilt patch (ld_as_needed).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 05 Aug 2016 21:18:44 -0400

dav-text (0.8.5-6) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Toss away the packaging, re-do using dh 9; closes: #817423.
  * Drop the Debian menu.
  * Pass CFLAGS to the compiler.
  * Source format 3.0 (quilt).
  * Fix sprintf format errors and buffer overflows on long filenames.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 10:12:11 +0200

dav-text (0.8.5-5ubuntu3) yakkety; urgency=medium

  * debian/compat: Bump to 9.
  * debian/control: Build-depend on debhelper (>= 9).
  * debian/rules:
    - Use dh_prep instead of dh_clean -k.
    - Add recommended build-arch and build-indep targets.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 11 Jul 2016 21:37:49 -0400

dav-text (0.8.5-5ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:24 +0000

dav-text (0.8.5-5ubuntu1) oneiric; urgency=low

  * Makefile: Use $LDADD, not $LDFLAGS. Fixes FTBFS. (LP: #770917)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 17 Sep 2011 11:20:39 -0400

dav-text (0.8.5-5) unstable; urgency=low

  * Actually call dh_installmenu to install the menu file
  * Fix FSF address 

 -- Benjamin Seidenberg <astronut@dlgeek.net>  Tue, 18 Apr 2006 14:07:55 -0400

dav-text (0.8.5-4) unstable; urgency=low

  * Updated debian/control with new email address.
  * Added hompage in description. 
  
 -- Benjamin Seidenberg <astronut@dlgeek.net>  Sun, 21 Aug 2005 21:18:22 -0400

dav-text (0.8.5-3) unstable; urgency=low

  * Fix CFLAGS issue in debian/rules
  * Removed erroneous file debian/dav.substvars
  * Upgrade to Standards-Version 3.6.2

 -- Benjamin Seidenberg <astronut@gmail.com>  Sun, 10 Jul 2005 15:34:38 -0400

dav-text (0.8.5-2) unstable; urgency=low

  * Setup Alternatives system properly

 -- Benjamin Seidenberg <astronut@gmail.com>  Sat, 11 Jun 2005 00:57:21 -0400

dav-text (0.8.5-1) unstable; urgency=low

  * Initial release Closes: #161106,#180628 (Request for package)

 -- Benjamin Seidenberg <astronut@gmail.com>  Fri,  3 Jun 2005 20:27:15 -0400

=== debian/control ===
Source: dav-text
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.8
Homepage: http://dav-text.sourceforge.net/

Package: dav-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist ncurses-based text editor
 Dav (Dav Ain't Vi) is meant to provide a stable text editor that is efficient 
 in both memory and processor usage. It is simple to use, making it ideal for 
 novice users. It is licensed under the GPL and is still
 in development.
 .
 Features include:
     * Memory and cpu efficiency
     * Small filesize and footprint
     * Freely licensed under the GPL
     * Useful feature set
     * Intuitive and easy to use

## dav-text 0.8.9

=== debian/changelog ===
dav-text (0.8.9-1) unstable; urgency=medium

  * Removed some warnings from GCC8.
  * Fixed incorrect casting from int to long unsigned int.

 -- Adam Bilbrough <ats@atlas.cz>  Sat, 09 Feb 2019 19:28:40 +0100

dav-text (0.8.8-1) unstable; urgency=medium

  * New upstream release.
  * Cleaned up editor interface.
  * Fixed some spelling/grammar errors.
  * Clarified some wordings in the editor.
  * Removed optimising flag due to crash on startup for older systems.

 -- Adam Bilbrough <atsb@tutanota.de>  Sat, 03 Feb 2018 19:31:31 +0100

dav-text (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Adds '+' as an argument for specifying a line number (closes: #872848)
  * Fixes a segfault when saving an invalid file (wrong encoding).
  * Clarifies the usage of command line arguments.
  * Updated debian/watch with simpler rules.
  * Removed -fomit-frame-pointer and -O1 rules from Makefile.

 -- Adam Bilbrough <atsb@tutanota.de>  Sat, 26 Aug 2017 22:16:53 +0200

dav-text (0.8.6-1) unstable; urgency=medium

  * New maintainer. (closes: #760135)
  * New upstream release.
  * Updated control file standards to 4.0.0
  * Updated Makefile with more strict compilation flags
  * Updated copyright and upstream information
  * Updated rules
  * Added watch file

 -- Adam Bilbrough <atsb@tutanota.de>  Thu, 17 Aug 2017 19:34:25 +0200

=== debian/control ===
Source: dav-text
Section: text
Priority: optional
Maintainer: Adam Bilbrough <ats@atlas.cz>
Build-Depends: debhelper-compat (= 12), libncurses-dev
Standards-Version: 4.3.0
Homepage: https://github.com/atsb/dav-text

Package: dav-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist ncurses-based text editor
 Dav is meant to provide a stable text editor that is efficient
 in both memory and processor usage. It is simple to use, making it ideal for
 novice users. It is licensed under the GPL and is still
 in development.
 .
 Features include:
     * Memory and cpu efficiency
     * Small filesize and footprint
     * Freely licensed under the GPL
     * Useful feature set
     * Intuitive and easy to use

## dav-text 0.9.0

=== Makefile ===
prefix=/usr/local
CC=gcc
OBJECTS=main.o \
        buffers.o \
        fileIO.o \
        screenIO.o \
        keyboard.o \
        features.o \
        undo.o \
        move.o
        
CFLAGS+=-D_FORTIFY_SOURCE=2 -g -Wall -Wextra -Wpointer-arith -Wuninitialized -Wshadow -Winit-self -Wmissing-declarations -Wformat -Wformat-security -Werror=format-security
LDFLAGS+=-lncurses -z now

dav: $(OBJECTS) 
	$(CC) $(CFLAGS) $(CPPFLAGS) $(OBJECTS) $(LDFLAGS) -o dav

install:
	install -D dav $(DESTDIR)$(prefix)/bin/dav
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1
	install -D dav.1.gz $(DESTDIR)$(prefix)/share/man/man1/

uninstall:
	rm $(DESTDIR)$(prefix)/bin/dav
	rm $(DESTDIR)$(prefix)/share/man/man1/dav.1.gz

clean:
	-rm -rf dav core *.o tags

=== debian/changelog ===
dav-text (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See: #968355)
  * Fix ftbfs with GCC-10. (Closes: #957119)
  * Update Standards-Version to 4.5.0
  * Update compat level to 13.
  * Remove whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 06 Sep 2020 20:58:14 +0100

dav-text (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Tested using boundary value analysis, no longer appears (closes: #715788)

 -- Adam Bilbrough <ats@atlas.cz>  Sun, 10 Nov 2019 09:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dav-text
 Section: text
 Priority: optional
-Maintainer: Adam Bilbrough <ats@atlas.cz>
-Build-Depends: debhelper-compat (= 12), libncurses-dev
-Standards-Version: 4.3.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libncurses-dev
+Standards-Version: 4.5.0
 Homepage: https://github.com/atsb/dav-text
 
 Package: dav-text

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
